Yaf_View_Simple::assign
Yaf_View_Simple::clear
Yaf_View_Simple
PHP Manual

# Yaf_View_Simple::assignRef

The assignRef purpose

### Description

public bool Yaf_View_Simple::assignRef ( string `$name` , mixed `&$value` )

unlike Yaf_View_Simple::assign, this method assign a ref value to engine.

### Parameters

`name`

  A string name which will be used to access the value in the tempalte.

`value`

  mixed value

### Return Values

### Examples

Example #1 Yaf_View_Simple::assignRefexample

`<?php
class IndexController extends Yaf_Controller_Abstract {
public function indexAction() {
$value = "bar";
$this->getView()->assign("foo", $value);
/* plz note that there was a bug before Yaf 2.1.4,
* which make following output "bar";
*/
$dummy = $this->getView()->render("index/index.phtml");
echo $value;
//prevent the auto-render
Yaf_Dispatcher::getInstance()->autoRender(FALSE);
}
?>`

Example #2 templateexample

`<html>
<head>
<title><?php echo $foo; $foo = "changed"; ?></title>
</head>
<body>
</body>
</html>`

The above example will output something similar to:

    /* access the index controller will result: */
    changed

### See Also

- Yaf_View_Simple::assign
- Yaf_View_Simple::__set